<?php

// ----------------------------------------------------------------------
// eNvolution Content Management System
// Copyright (C) 2002 by the eNvolution Development Team.
// http://www.envolution.com/
// ----------------------------------------------------------------------
// Based on:
// Postnuke Content Management System - www.postnuke.com
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
//


/*

 * Smarty plugin

 * -------------------------------------------------------------

 * Type:     modifier

 * Name:     date_format

 * Purpose:  format datestamps via strftime

 * Input:    string: input date string

 *           format: strftime format for output

 *           default_date: default date if $string is empty

 * -------------------------------------------------------------

 */

require_once $this->_get_plugin_filepath('shared','make_timestamp');

function smarty_modifier_date_format($string, $format="%b %e, %Y", $default_date=null)

{

	if($string != '') {

    	return strftime($format, smarty_make_timestamp($string));

	} elseif (isset($default_date) && $default_date != '') {		

    	return strftime($format, smarty_make_timestamp($default_date));

	} else {

		return;

	}

}



/* vim: set expandtab: */



?>

